Add development flag to disable the inline API.
authorDavid M. Lee <dlee@digium.com>
Wed, 8 May 2013 21:01:33 +0000 (21:01 +0000)
committerDavid M. Lee <dlee@digium.com>
Wed, 8 May 2013 21:01:33 +0000 (21:01 +0000)
commitb007c744a482d7c19545bdcbf1e4372fb36878a8
tree963dc41910f76095d834d11bb73ca14c5cb0a845
parentec53d7fa87a9a4371468acc7ef67144ca0b7b545
Add development flag to disable the inline API.

A GCC bug[1] can, in some cases, pop up an unsuppressible pedwarn when
using a static inline standard library function from a non-static
inline function.

This normally doesn't show up, but can occur if you're running an
upgrade version of GCC (such as GCC 4.8 on OS X, which normally runs
GCC 4.2).

 [1]: http://gcc.gnu.org/bugzilla/show_bug.cgi?id=47816

git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@388046 65c4cc65-6c06-0410-ace0-fbb531ad65f3
build_tools/cflags.xml
include/asterisk/inline_api.h